### Method

# Ide Pipeline get_message

#### Declaration

    gchar*
    ide_pipeline_get_message (
      IdePipeline* self
    )

#### Description

Gets the current message for the build pipeline. This can be shown to users in UI elements to signify progress in the build.

Available since: | 3.32

Gets property | `Ide.Pipeline:message`

#### Return value

Returns: | `gchar*`
| A string representing the current stage of the build, or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.